Bug 11483 - kinit coredump using kinit -k -t option
kinit coredump using kinit -k -t option
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-17 12:35 EDT by peter_huang
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-17 13:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter_huang 2000-05-17 12:35:45 EDT
doing a kinit with -k -t /etc/krb5.keytab produce coredump.  the gdb
message is listed as followed:

----------------------
phuang@huang-peter2 phuang]$ kinit -k -t /etc/krb5.keytab
Segmentation fault (core dumped)
[phuang@huang-peter2 phuang]$ gdb /usr/kerberos/bin/kinit core
GNU gdb 19991004
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `kinit -k -t /etc/krb5.keytab'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/kerberos/lib/libkrb5.so.2...
(no debugging symbols found)...done.
Reading symbols from /usr/kerberos/lib/libk5crypto.so.2...
(no debugging symbols found)...done.
Reading symbols from /usr/kerberos/lib/libcom_err.so.3...
(no debugging symbols found)...done.
Reading symbols from /lib/libresolv.so.2...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
Reading symbols from /lib/libnss_files.so.2...done.
Reading symbols from /lib/libnss_nisplus.so.2...done.
Reading symbols from /lib/libnsl.so.1...done.
Reading symbols from /lib/libnss_nis.so.2...done.
Reading symbols from /lib/libnss_dns.so.2...done.
#0  chunk_alloc (ar_ptr=0x40197d60, nb=208) at malloc.c:2868
2868    malloc.c: No such file or directory.
(gdb) bt
#0  chunk_alloc (ar_ptr=0x40197d60, nb=208) at malloc.c:2868
#1  0x401025ce in __libc_malloc (bytes=200) at malloc.c:2696
#2  0x4002e877 in asn1buf_expand () from /usr/kerberos/lib/libkrb5.so.2
#3  0x4002de41 in asn1buf_insert_octetstring ()
   from /usr/kerberos/lib/libkrb5.so.2
#4  0x4002ce8d in asn1_encode_octetstring ()
   from /usr/kerberos/lib/libkrb5.so.2
#5  0x400390fb in asn1_encode_host_address ()
   from /usr/kerberos/lib/libkrb5.so.2
#6  0x400392c6 in asn1_encode_host_addresses ()
   from /usr/kerberos/lib/libkrb5.so.2
#7  0x4003a5eb in asn1_encode_kdc_req_body ()
   from /usr/kerberos/lib/libkrb5.so.2
#8  0x4003bb27 in asn1_encode_kdc_req () from
/usr/kerberos/lib/libkrb5.so.2
#9  0x40036244 in encode_krb5_as_req () from /usr/kerberos/lib/libkrb5.so.2
#10 0x4004f149 in send_as_request () from /usr/kerberos/lib/libkrb5.so.2
#11 0x400506db in krb5_get_init_creds () from
/usr/kerberos/lib/libkrb5.so.2
#12 0x40050c71 in krb5_get_init_creds_keytab ()
   from /usr/kerberos/lib/libkrb5.so.2
#13 0x8049714 in krb5_parse_name ()
#14 0x400c19cb in __libc_start_main (main=0x8048fe4 <krb5_parse_name+360>,
    argc=4, argv=0xbffffad4, init=0x8048bdc, fini=0x80499ec <fstat+92>,
    rtld_fini=0x4000ae60 <_dl_fini>, stack_end=0xbffffacc)
    at ../sysdeps/generic/libc-start.c:92
(gdb)
Comment 1 Nalin Dahyabhai 2000-05-17 13:04:59 EDT
What keys are in the keytab (klist -k -e -t /etc/krb5.keytab)?  I can't
reproduce this here.  When I try to, I only get a
"kinit: Bad encryption type while getting initial credentials"
error.
Comment 2 Nalin Dahyabhai 2000-07-03 05:21:14 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.